<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Acitvitys.EER.KYC.KYCAEOIActivity">

    <androidx.cardview.widget.CardView
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardElevation="6dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="65dp"
            android:paddingRight="6dp">

            <ImageView
                android:layout_width="150dp"
                android:layout_height="65dp"
                android:src="@drawable/ic_logo" />


        </RelativeLayout>

    </androidx.cardview.widget.CardView>

    <!--  Progress bar  -->
    <LinearLayout
        android:id="@+id/ly_progress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/toolbar"
        android:orientation="horizontal"
        android:layout_marginVertical="30dp"
        android:paddingHorizontal="15dp">
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:backgroundTint="@color/inactive"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"
            android:backgroundTint="@color/inactive"/>
    </LinearLayout>

    <androidx.cardview.widget.CardView
        android:id="@+id/cardView_header"
        style="@style/card_view_centre"
        android:layout_below="@id/ly_progress"
        android:layout_marginTop="10dp"
        app:cardCornerRadius="16dp"
        app:cardElevation="30dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:orientation="vertical"
            android:paddingTop="20dp">

            <CheckBox
                android:id="@+id/checkbox_pays"
                android:theme="@style/colored_checkBox"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:button="@drawable/btn_checkbox"
                android:padding="6dp"
                android:gravity="center"
                android:text="@string/kyc_aeoi_txt_info" />

            <!--  Input code country     -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="15dp"
                android:orientation="horizontal">

                <com.hbb20.CountryCodePicker
                    android:id="@+id/ccp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/border_left_b"
                    android:paddingVertical="2dp"
                    android:paddingLeft="10dp"
                    app:ccpDialog_showNameCode="false"
                    app:ccpDialog_showTitle="false"
                    app:ccp_countryPreference="MA,US,FR,DZ"
                    app:ccp_defaultNameCode="MA"
                    app:ccp_showArrow="false"
                    app:ccp_showFullName="false"
                    app:ccp_showNameCode="false"
                    app:ccp_showPhoneCode="false" />

                <AutoCompleteTextView
                    android:id="@+id/dropdown_country"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/border_right_b"
                    android:drawableEnd="@drawable/ic_down"
                    android:hint="Maroc"
                    android:inputType="none"
                    android:padding="10dp"
                    android:paddingStart="20dp"
                    android:textColor="#CCCCCC" />


            </LinearLayout>


        </LinearLayout>


    </androidx.cardview.widget.CardView>




    <!--   Body -->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/rl_footer"
        android:layout_below="@id/cardView_header">

        <!-- content main-->
        <androidx.cardview.widget.CardView
            style="@style/card_view_centre"
            android:id="@+id/cardView_body"
            android:layout_centerInParent="true"
            app:cardCornerRadius="16dp"
            app:cardElevation="30dp">

            <ScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="10dp"
                    android:orientation="vertical"
                    android:paddingTop="20dp">

                    <CheckBox
                        android:id="@+id/checkbox_puissance"
                        android:theme="@style/colored_checkBox"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:button="@drawable/btn_checkbox"
                        android:padding="6dp"
                        android:gravity="center"
                        android:text="@string/kyc_aeoi_more_pays"/>

                    <GridLayout
                        android:id="@+id/grid"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:alignmentMode="alignMargins"
                        android:columnCount="1"
                        android:useDefaultMargins="true">


                    </GridLayout>

                    <TextView
                        style="@style/txt_info"
                        android:id="@+id/btn_add"
                        android:text="@string/kyc_aeoi_txt_add_pays"
                        android:drawableStart="@drawable/ic_add_circle"
                        android:drawableTint="@color/disabled"
                        android:drawablePadding="15dp"
                        android:paddingBottom="10dp"/>


                </LinearLayout>
            </ScrollView>




        </androidx.cardview.widget.CardView>



        <RelativeLayout
            android:id="@+id/cardView2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="10dp"
            android:background="@drawable/radius_left_right">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="50dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.03"
                    android:background="@color/white"
                    android:translationX="-600dp"
                    app:cardCornerRadius="500dp"
                    app:cardElevation="0dp" />


            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="220dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.04"
                    android:background="@color/white"
                    android:translationX="-90dp"
                    app:cardCornerRadius="400dp"
                    app:cardElevation="0dp" />

            </LinearLayout>

        </RelativeLayout>

    </RelativeLayout>

    <!--  Footer  -->
    <RelativeLayout
        android:id="@+id/rl_footer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:paddingHorizontal="15dp"
        android:paddingVertical="10dp">

        <ImageView
            android:id="@+id/img_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:padding="10dp"
            android:src="@drawable/ic_back" />

        <TextView
            style="@style/btn_next"
            android:id="@+id/btn_next"
            android:backgroundTint="@color/disabled"
            android:enabled="false"
            android:text="@string/continuer"/>


    </RelativeLayout>

</RelativeLayout>